Page MenuHomePhabricator

ensure minikube running on integration agents
Closed, InvalidPublic

Description

In order for helm install/test to run to verify production images in k8s environment, there will need to be a k8s environment running. In the near term this will be minikube running on integration agents.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 6:25 PM
dduvall claimed this task.Mar 26 2018, 4:34 PM
dduvall triaged this task as High priority.
dduvall moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.

Change 421973 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[operations/puppet@production] ci: Refactor pipeline deps using separate CI role

https://gerrit.wikimedia.org/r/421973

Change 421973 merged by Alexandros Kosiaris:
[operations/puppet@production] ci: Refactor pipeline deps using separate CI role

https://gerrit.wikimedia.org/r/421973

dduvall reassigned this task from dduvall to thcipriani.Apr 3 2018, 6:02 PM
dduvall added a subscriber: dduvall.
dduvall moved this task from Backlog to CI on the Release Pipeline board.Apr 3 2018, 6:20 PM

Change 428010 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Pipeline: setup minikube in CI

https://gerrit.wikimedia.org/r/428010

thcipriani lowered the priority of this task from High to Medium.Jul 2 2018, 3:30 PM

Created CI agents with minikube with the patch from this task cherry-picked on the CI puppetmaster. Need to merge puppet patch to close this task, but functionally complete.

thcipriani closed this task as Invalid.Jul 16 2018, 7:23 PM
thcipriani removed thcipriani as the assignee of this task.

Minikube is currently running on tests integration agents thanks to a puppetmaster cherrypick; however, this quarter the goal is to remove that cherrypick and shift from minikube to the CI namespace (created in T196654) of the staging k8s cluster.

Change 428010 abandoned by Thcipriani:
Pipeline: setup minikube in CI

Reason:
No longer needed

https://gerrit.wikimedia.org/r/428010